| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
ieee_802_11_phy_info Union Reference

Union representing physical layer information for IEEE 802.11 variants. More...

`#include <wtap.h>`

## Public Attributes
struct ieee_802_11_fhss | info_11_fhss
struct ieee_802_11b | info_11b
struct ieee_802_11a | info_11a
struct ieee_802_11g | info_11g
struct ieee_802_11n | info_11n
struct ieee_802_11ac | info_11ac
struct ieee_802_11ad | info_11ad
struct ieee_802_11ax | info_11ax
struct ieee_802_11be | info_11be

## Detailed Description

Union representing physical layer information for IEEE 802.11 variants.

This union encapsulates PHY-specific metadata for various 802.11 standards, allowing parsers or analyzers to interpret modulation, channel, and timing details based on the active wireless technology.

Each member corresponds to a specific PHY type, such as FHSS, DSSS, OFDM, or advanced MIMO schemes used in newer standards.

## Member Data Documentation

## ◆ info_11_fhss

struct ieee_802_11_fhss ieee_802_11_phy_info::info_11_fhss

Frequency-Hopping Spread Spectrum (802.11-1997).

## ◆ info_11a

struct ieee_802_11a ieee_802_11_phy_info::info_11a

OFDM-based PHY (802.11a).

## ◆ info_11ac

struct ieee_802_11ac ieee_802_11_phy_info::info_11ac

Very High Throughput PHY (802.11ac).

## ◆ info_11ad

struct ieee_802_11ad ieee_802_11_phy_info::info_11ad

60 GHz PHY (802.11ad).

## ◆ info_11ax

struct ieee_802_11ax ieee_802_11_phy_info::info_11ax

High Efficiency PHY (802.11ax).

## ◆ info_11b

struct ieee_802_11b ieee_802_11_phy_info::info_11b

Direct Sequence Spread Spectrum (802.11b).

## ◆ info_11be

struct ieee_802_11be ieee_802_11_phy_info::info_11be

Extremely High Throughput PHY (802.11be).

## ◆ info_11g

struct ieee_802_11g ieee_802_11_phy_info::info_11g

Extended OFDM PHY (802.11g).

## ◆ info_11n

struct ieee_802_11n ieee_802_11_phy_info::info_11n

High Throughput PHY (802.11n).

The documentation for this union was generated from the following file:

- /builds/wireshark/wireshark/wiretap/wtap.h